package cn.ibizlab.assetmanagement.core.apply.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.apply.domain.EAMApplyType;
/**
 * 关系型数据实体[EAMApplyType] 查询条件对象
 */
@Slf4j
@Data
public class EAMApplyTypeSearchContext extends QueryWrapperContext<EAMApplyType> {

	private String n_eamapplytypename_like;//[维护申请类型名称]
	public void setN_eamapplytypename_like(String n_eamapplytypename_like) {
        this.n_eamapplytypename_like = n_eamapplytypename_like;
        if(!ObjectUtils.isEmpty(this.n_eamapplytypename_like)){
            this.getSearchCond().like("eamapplytypename", n_eamapplytypename_like);
        }
    }
	private String n_eamapplystatemodelid_eq;//[维护申请状态模型标识]
	public void setN_eamapplystatemodelid_eq(String n_eamapplystatemodelid_eq) {
        this.n_eamapplystatemodelid_eq = n_eamapplystatemodelid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamapplystatemodelid_eq)){
            this.getSearchCond().eq("eamapplystatemodelid", n_eamapplystatemodelid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamapplytypename", query)   
            );
		 }
	}
}



